de.vc.io.rtf.parser

## Class ListOverride

- java.lang.Object
- - de.vc.io.rtf.parser.TokenHandler
  - - de.vc.io.rtf.parser.DefaultTokenHandler
    - - de.vc.io.rtf.parser.ListOverride

-     public class ListOverride
      extends DefaultTokenHandler

  Title:

  Description:

  Copyright: Copyright (c) 2002

  Company:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `listId`
    `int` | `lsIndex`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ListOverride` | `cloned()`
    `int` | `countLevels()`
    `RTFList` | `getList()`
    `ListLevel` | `getListLevel(int levelNumber)`
    `ListLevel` | `getOverrideLevel(int levelNumber)`
    `java.lang.String` | `increaseAndCreateText(int level, boolean inclNumbers)`

    - ### Methods inherited from class de.vc.io.rtf.parser.DefaultTokenHandler

      `getCurrentProperties, getParserState, getTokenInput, handleBraceClosed, handleBraceOpened, handleControl, handleText, readTextBytes, readTextOnly, skipCurrentLevel`

    - ### Methods inherited from class de.vc.io.rtf.parser.TokenHandler

      `getDefaultEncoding, getDefinitions, getTextEncoding, handleOptionalHyphen, handleText, handleToken`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### listId

          public int listId

    - #### lsIndex

          public int lsIndex

  - ### Method Detail

    - #### getList

          public RTFList getList()

    - #### getListLevel

          public ListLevel getListLevel(int levelNumber)

    - #### countLevels

          public int countLevels()

    - #### increaseAndCreateText

          public java.lang.String increaseAndCreateText(int level,
                                               boolean inclNumbers)

    - #### cloned

          public ListOverride cloned()

    - #### getOverrideLevel

          public ListLevel getOverrideLevel(int levelNumber)

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.